Subject: Re: Attansic L1 driver issue

From: Flávio Silveira <[email-masked]>
Date: Tue, 12 Jan 2016 13:13:03 -0200

On 02/01/2016 03:58, Flávio Silveira wrote:
> Good morning,
>
>   I'm investigating a possible issue with atl1 driver used by Attansic 
> L1.
>
>   During my tests with iperf3 I saw a performance drop when the 
> computer is client.
>
>   I can hit only about 580~600Mbit/s, if I disable 
> generic-segmentation-offload (GSO) I can hit 660~670Mbit/s.
>
>   When the computer is server, I can hit 940~950Mbit/s.

Hi,

   I'm continuing to investigate this, tried older kernels (2.6.32 and 
3.2.68) in order to see if it was a regression.

   What I discovered so far is that if I disable scatter-gather I can 
see around 70Mbit/s of improvement, I wonder if there is anything else I 
can do to understand the "tx busy" message I mentioned in first mail or 
the issue itself.

Regards,
   Flavio